// src/index.ts
import { defineComponent, h } from "vue";
var CodeInline = defineComponent({
  name: "CodeInline",
  props: {
    class: {
      type: String,
      default: ""
    },
    style: {
      type: Object
    }
  },
  setup(props, { slots }) {
    return () => {
      var _a, _b;
      return [h("style", null, `
      meta ~ .cino {
        display: none !important;
        opacity: 0 !important;
      }

      meta ~ .cio {
        display: block !important;
      }
    `), h("code", {
        ...props,
        class: [
          props.class,
          "cino"
        ],
        style: props.style
      }, (_a = slots.default) == null ? void 0 : _a.call(slots)), h("span", {
        ...props,
        class: [
          props.class,
          "cio"
        ],
        style: { ...props.style, display: "none" }
      }, (_b = slots.default) == null ? void 0 : _b.call(slots))];
    };
  }
});
export {
  CodeInline
};
